## squeak-plugins-scratch 1.4.0.2~svn.r80

=== camera/Makefile ===
all: clean build

build:	
	gcc $(CFLAGS) -fPIC -c *.c
	gcc -shared -lv4l2 *.o -o ../../../Plugins/so.CameraPlugin

clean:
	rm -f *.o ../../../Plugins/so.CameraPlugin

=== debian/changelog ===
squeak-plugins-scratch (1.4.0.2~svn.r80-1) unstable; urgency=low

  * Initial release. Closes: #637835

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 04 Aug 2011 22:35:50 +0200

## squeak-plugins-scratch 1.4.0.2~svn.r83

=== camera/Makefile ===
all: clean build

build:	
	gcc $(CFLAGS) -fPIC -c *.c
	gcc -shared *.o -o ../../../Plugins/so.CameraPlugin

clean:
	rm -f *.o ../../../Plugins/so.CameraPlugin

=== debian/changelog ===
squeak-plugins-scratch (1.4.0.2~svn.r83-3) unstable; urgency=medium

  * Cleaned up many lintian warnings
  * Upgraded Standards-Version from 3.9.2 to 4.2.1.4
  * Upgraded Compatibility level to 9

 -- Miriam Ruiz <miriam@debian.org>  Fri, 09 Nov 2018 12:16:26 +0100

squeak-plugins-scratch (1.4.0.2~svn.r83-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5": apply patch from Brett Johnson:
    build with "-std=gnu89".
    (Closes: #778129)

 -- gregor herrmann <gregoa@debian.org>  Sun, 19 Jul 2015 15:55:19 +0200

squeak-plugins-scratch (1.4.0.2~svn.r83-2) unstable; urgency=low

  * Added udev file for the WeDo plugin to /lib/udev/rules.d/. Closes: #682578
    Thanks to Amos Blanton and Sayamindu Dasgupta.
  * Added Vcs-Svn and Vcs-Browser to debian/control.

 -- Miriam Ruiz <little_miry@yahoo.es>  Mon, 23 Jul 2012 22:14:55 +0200

squeak-plugins-scratch (1.4.0.2~svn.r83-1) unstable; urgency=low

  * New upstream release, obtained from SVN
    - Removed camera plugin link dependency
    - Corrected lib name used when opening libv4l2

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 03 Nov 2011 00:51:43 +0100

=== debian/control ===
Source: squeak-plugins-scratch
Section: devel
Priority: optional
Maintainer: Miriam Ruiz <miriam@debian.org>
Build-Depends: debhelper, dh-buildinfo,
 libcairo2-dev (>= 1.8.6), libpango1.0-dev (>= 1.24.1),
 libglib2.0-dev (>= 2.20.1), libv4l-dev (>= 0.5.8)
Standards-Version: 4.2.1.4
Homepage: http://info.scratch.mit.edu/Scratch_on_Linux

Package: squeak-plugins-scratch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: udev
Suggests: squeak-plugins-scratch-dbg (= ${binary:Version})
Description: Squeak plugins for the Scratch programming environment
 Scratch is an easy, interactive, collaborative programming
 environment designed for creation of interactive stories, animations,
 games, music, and art -- and sharing these on the web.
 .
 Scratch is designed to help young people (ages 8 and up) develop 21st
 century learning skills. As they create Scratch projects, young people
 learn important mathematical and computational ideas, while also
 gaining a deeper understanding of the process of design.
 .
 This package contains the plugins needed by Scratch and its derivatives.

Package: squeak-plugins-scratch-dbg
Section: debug
Architecture: any
Depends: squeak-plugins-scratch (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Squeak plugins for the Scratch programming environment - debug
 Scratch is an easy, interactive, collaborative programming
 environment designed for creation of interactive stories, animations,
 games, music, and art -- and sharing these on the web.
 .
 This package contains the debugging symbols for the plugins.

=== debian/rules ===
#!/usr/bin/make -f

export DH_ALWAYS_EXCLUDE=.svn

LDFLAGS=-Wl,-z,defs -Wl,--as-needed -Wl,--no-undefined
CFLAGS=-std=gnu89

config: config-stamp
config-stamp: 
	dh_testdir
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make patch
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config
	dh_testdir
	cd camera/ && \
		gcc $(CFLAGS) -g -fPIC -c *.c
	cd camera/ && \
		gcc $(LDFLAGS) -g -shared *.o -lv4l2 -ldl -o so.CameraPlugin
	cd scratch/ && \
		gcc $(CFLAGS) -g -fPIC -c *.c
	cd scratch/ && \
		gcc $(LDFLAGS) -g -shared *.o -lm -o so.ScratchPlugin
	cd unicode/ && \
		gcc $(CFLAGS) -g -fPIC -c `pkg-config --cflags pangocairo` *.c
	cd unicode/ && \
		gcc $(LDFLAGS) -g -shared *.o `pkg-config --libs pangocairo` -lc -o so.UnicodePlugin
	cd wedo/ && \
		gcc $(CFLAGS) -g -fPIC -c *.c
	cd wedo/ && \
		gcc $(LDFLAGS) -g -shared *.o -o so.WeDoPlugin
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -fv build-stamp config-stamp
	rm -fv camera/*.o camera/so.CameraPlugin
	rm -fv scratch/*.o scratch/so.ScratchPlugin
	rm -fv unicode/*.o unicode/so.UnicodePlugin
	rm -fv wedo/*.o wedo/so.WeDoPlugin
	rm -fv App/* Plugins/*
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make unpatch
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installman -a
	dh_link -a
	dh_strip -a --dbg-package=squeak-plugins-scratch-dbg
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	[ ! -e /usr/bin/dh_buildinfo ] || dh_buildinfo -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
